# Delete Partner Off Day

## Delete partner off days

<mark style="color:green;">`POST`</mark> `{baseUrl}/partners/offDays/delete`

Delete partner off day(s)

#### Request Body

| Name                                        | Type           | Description |
| ------------------------------------------- | -------------- | ----------- |
| partnerId<mark style="color:red;">\*</mark> | String         |             |
| dates<mark style="color:red;">\*</mark>     | Array\<string> |             |

{% tabs %}
{% tab title="200: OK Off day deleted successfully" %}

{% endtab %}

{% tab title="400: Bad Request Could not remove off day: Partner not found" %}

{% endtab %}
{% endtabs %}

### Sample Success Data

```json
//Sample Request Body
{
    "partnerId": "{{partnerId}}",
    "date":["2024-05-20"]
}
```

```json
// Sample Response Body - 200 OK
{
    "status": true,
    "message": "Off day deleted successfully",
    "data": []
}
```

### Sample Error Data

```json
// Sample Request Body
{
    "partnerId": "invalid id",
    "date":["2024-05-20"]
}

```

```json
// Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Could not delete off day: Partner not found"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/partners/delete-partner-off-day.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
